import { PageResult, PageParams } from './common';

export interface OptionItem {
  id: number;
  name: string;
}

export interface TaskItem {
  id: string;
  name: string;
  selfApplyStartTime: number;
  selfApplyEndTime: number;
  openApplyStartTime: number;
  openApplyEndTime: number;
  enable: number; // 1:启用；0:禁用
  updateTime: number;
}

export type TaskListPageRes = PageResult<TaskItem>;

export interface TaskItemDetail {
  id: string;
  name: string;
  allowApplyDays: number;
  allowApplyCancelDays: number;
  selfApplyStartTime: number;
  selfApplyEndTime: number;
  openApplyStartTime: number;
  openApplyEndTime: number;
  time: [
    {
      id: string;
      startTime: number;
      endTime: number;
    }
  ];
  notice: string;
}

export interface TaskRuleUpdateParams {
  id?: string;
  name: string;
  allowApplyDays: number;
  allowApplyCancelDays: number;
  selfApplyStartTime: number;
  selfApplyEndTime: number;
  openApplyStartTime: number;
  openApplyEndTime: number;
}

export interface OrderRecordItem {
  id: string;
  name: string;
  identityNumber: string;
  studentCode: string;
  teachingName: string; // 教学点
  agentName: string; // 考点
  roomName: string; //考场
  seatNumber: string; //座位号
  cancel: boolean; // 是否取消
  endTime: number;
  startTime: number;
  updateTime: number; // 操作时间
  userName: string; // 操作人
}
export type OrderRecordListPageRes = PageResult<OrderRecordItem>;
export interface OrderRecordListFilter {
  taskId: number;
  teachingId: number;
  agentId: number;
  name: string;
  identityNumber: string;
  studentCode: string;
}
export type OrderRecordListPageParam = PageParams<OrderRecordListFilter>;
