import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const BASE: AppRouteRecordRaw = {
  path: '/base',
  name: 'base',
  component: DEFAULT_LAYOUT,
  meta: {
    requiresAuth: true,
  },
  children: [
    {
      path: 'organization-manage',
      name: 'OrganizationManage',
      component: () => import('@/views/base/organization-manage/index.vue'),
      meta: {
        title: '机构管理',
        requiresAuth: true,
      },
    },
    {
      path: 'user-manage',
      name: 'UserManage',
      component: () => import('@/views/base/user-manage/index.vue'),
      meta: {
        title: '用户管理',
        requiresAuth: true,
      },
    },
    {
      path: 'role-manage',
      name: 'RoleManage',
      component: () => import('@/views/base/role-manage/index.vue'),
      meta: {
        title: '角色管理',
        requiresAuth: true,
      },
    },
    {
      path: 'common-rule',
      name: 'CommonRule',
      component: () => import('@/views/base/common-rule/index.vue'),
      meta: {
        title: '通用规则',
        requiresAuth: true,
      },
    },
    {
      path: 'card-rule-manage',
      name: 'CardRuleManage',
      component: () => import('@/views/base/card-rule-manage/index.vue'),
      meta: {
        title: '题卡规则管理',
        requiresAuth: true,
      },
    },
    {
      path: 'card-manage',
      name: 'CardManage',
      component: () => import('@/views/base/card-manage/index.vue'),
      meta: {
        title: '题卡管理',
        requiresAuth: true,
      },
    },
    {
      path: 'print-template-manage',
      name: 'PrintTemplateManage',
      component: () => import('@/views/base/print-template-manage/index.vue'),
      meta: {
        title: '模板管理',
        requiresAuth: true,
      },
    },
  ],
};

export default BASE;
