import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const ORDER: AppRouteRecordRaw = {
  path: '/order',
  name: 'order',
  component: DEFAULT_LAYOUT,
  meta: {
    requiresAuth: true,
  },
  children: [
    {
      path: 'task-manage',
      name: 'TaskManage',
      component: () => import('@/views/order/task-manage/index.vue'),
      meta: {
        title: '预约任务管理',
        requiresAuth: true,
      },
    },
    {
      path: 'student-manage',
      name: 'StudentManage',
      component: () => import('@/views/order/student-manage/index.vue'),
      meta: {
        title: '考生信息导入',
        requiresAuth: true,
      },
    },
    {
      path: 'order-record-manage',
      name: 'OrderRecordManage',
      component: () => import('@/views/order/order-record-manage/index.vue'),
      meta: {
        title: '预约名单详情',
        requiresAuth: true,
      },
    },
  ],
};

export default ORDER;
